Delete log export configuration
Stops exporting a function’s logs and removes its destination configuration. Idempotent: deleting when nothing is configured succeeds.
DELETE
/
compute
/
funcs
/
{id}
/
logs
/
export
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.compute.funcs.export.deleteAll('id');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.compute.funcs.export.delete_all(
"id",
)
package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Compute.Funcs.Export.DeleteAll(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.compute().funcs().export().deleteAll("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.compute.funcs.export.delete_all("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->compute->funcs->export->deleteAll(
'id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx compute:funcs:export delete-all \
--api-key 'My API Key' \
--id idcurl --request DELETE \
--url https://api.telnyx.com/v2/compute/funcs/{id}/logs/export \
--header 'Authorization: Bearer <token>'{
"errors": [
{
"code": "10020",
"title": "Unprocessable entity",
"detail": "Request could not be processed."
}
]
}{
"errors": [
{
"code": "10001",
"title": "Unauthorized",
"detail": "Invalid or missing API key."
}
]
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "The requested resource or URL could not be found."
}
]
}{
"errors": [
{
"code": "10020",
"title": "Unprocessable entity",
"detail": "Request could not be processed."
}
]
}{
"errors": [
{
"code": "10010",
"title": "Internal server error",
"detail": "An unexpected error occurred."
}
]
}Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
await client.compute.funcs.export.deleteAll('id');import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
client.compute.funcs.export.delete_all(
"id",
)
package main
import (
"context"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
err := client.Compute.Funcs.Export.DeleteAll(
context.TODO(),
"id",
)
if err != nil {
panic(err.Error())
}
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
client.compute().funcs().export().deleteAll("id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.compute.funcs.export.delete_all("id")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->compute->funcs->export->deleteAll(
'id',
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx compute:funcs:export delete-all \
--api-key 'My API Key' \
--id idcurl --request DELETE \
--url https://api.telnyx.com/v2/compute/funcs/{id}/logs/export \
--header 'Authorization: Bearer <token>'{
"errors": [
{
"code": "10020",
"title": "Unprocessable entity",
"detail": "Request could not be processed."
}
]
}{
"errors": [
{
"code": "10001",
"title": "Unauthorized",
"detail": "Invalid or missing API key."
}
]
}{
"errors": [
{
"code": "10005",
"title": "Resource not found",
"detail": "The requested resource or URL could not be found."
}
]
}{
"errors": [
{
"code": "10020",
"title": "Unprocessable entity",
"detail": "Request could not be processed."
}
]
}{
"errors": [
{
"code": "10010",
"title": "Internal server error",
"detail": "An unexpected error occurred."
}
]
}